Subject: [tsvwg] New revision for draft-ietf-tsvwg-datagram-plpmtud-05.txt

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 02 Oct 2018 09:10:31 +0100

I've just posted a new revision with changes to the UDP Options support 
text and the security considerations. The base algorithm is not changed 
in this version. Gorry ---

A new version of I-D, draft-ietf-tsvwg-datagram-plpmtud-05.txt
has been successfully submitted by Godred Fairhurst and posted to the
IETF repository.

Name:		draft-ietf-tsvwg-datagram-plpmtud
Revision:	05
Title:		Packetization Layer Path MTU Discovery for Datagram Transports
Document date:	2018-10-02
Group:		tsvwg
Pages:		45
URL:            https://www.ietf.org/internet-drafts/draft-ietf-tsvwg-datagram-plpmtud-05.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-tsvwg-datagram-plpmtud/
Htmlized:       https://tools.ietf.org/html/draft-ietf-tsvwg-datagram-plpmtud-05
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-tsvwg-datagram-plpmtud
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-datagram-plpmtud-05

Abstract:
    This document describes a robust method for Path MTU Discovery
    (PMTUD) for datagram Packetization Layers (PLs).  The document
    describes an extension to RFC 1191 and RFC 8201, which specifies
    ICMP-based Path MTU Discovery for IPv4 and IPv6.  The method allows a
    PL, or a datagram application that uses a PL, to discover whether a
    network path can support the current size of datagram.  This can be
    used to detect and reduce the message size when a sender encounters a
    network black hole (where packets are discarded, and no ICMP message
    is received).  The method can also probe a network path with
    progressively larger packets to find whether the maximum packet size
    can be increased.  This allows a sender to determine an appropriate
    packet size, providing functionally for datagram transports that is
    equivalent to the Packetization layer PMTUD specification for TCP,
    specified in RFC 4821.

    The document also provides implementation notes for incorporating
    Datagram PMTUD into IETF datagram transports or applications that use
    datagram transports.

    When published, this specification updates RFC 4821.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat